version: "3.4"

# Production environment override
services:
  php:
    build:
      context: ./app
      target: php_prod
    environment:
      APP_SECRET: ${APP_SECRET}
      CORS_ALLOW_ORIGIN: ${CORS_ALLOW_ORIGIN}

  nginx:
    build:
      dockerfile: docker/nginx/Dockerfile
      target: nginx_prod
    restart: unless-stopped
    depends_on:
      - php
    command: nginx -g 'daemon off;'

  database:
    environment:
      POSTGRES_PASSWORD: ${POSTGRES_PASSWORD}
